## org.biojava.bio
Interface Annotatable

All Known Subinterfaces:
  Alphabet, AtomicSymbol, CrossProductAlphabet, CrossProductSymbol, DotState, EmissionState, Feature, FiniteAlphabet, ModelInState, Sequence, State, StrandedFeature, Symbol

public interface Annotatable

Flags an object as having associated annotation.

This interface was introduced in retrospect so that UI code could interrogate an object to see if it was Annotatable, and if so pop up a suitable GUI for browsing the annotation.

Author:
  Matthew Pocock

Method Summary
`Annotation` `getAnnotation()` Should return the associated annotation object.

Method Detail

### getAnnotation

    public Annotation getAnnotation()

  Should return the associated annotation object.
  Returns:
    an Annotation object, never null